import { ElementRef, OnInit, Renderer2, OnChanges, SimpleChanges, EventEmitter, OnDestroy } from "@angular/core";
export declare class ADropzoneDirective implements OnInit, OnChanges, OnDestroy {
    private el;
    private renderer2;
    options: any;
    drop: EventEmitter<DragEvent>;
    dragstart: EventEmitter<DragEvent>;
    dragenter: EventEmitter<DragEvent>;
    dragend: EventEmitter<DragEvent>;
    dragover: EventEmitter<DragEvent>;
    dragleave: EventEmitter<DragEvent>;
    addedfile: EventEmitter<any>;
    removedfile: EventEmitter<any>;
    thumbnail: EventEmitter<any>;
    error: EventEmitter<any>;
    processing: EventEmitter<any>;
    uploadprogress: EventEmitter<any>;
    sending: EventEmitter<any>;
    success: EventEmitter<any>;
    complete: EventEmitter<any>;
    canceled: EventEmitter<any>;
    maxfilesreached: EventEmitter<any>;
    maxfilesexceeded: EventEmitter<any>;
    private _options;
    private dropzone;
    constructor(el: ElementRef, renderer2: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private initOptionVariable();
    private setStyles();
    private init();
    private destroy();
}
